# v0.5.2 - DRAFT

**App Version: v0.5.2**

**Database Version: v0.5.0**

## Bug Fixes
- Fixed #617 - Section behavior when adding a step
- Fixed #615 - Recipe Settings are not available when creating new recipe
- Fixed #625 - API of today's image returns strange characters
- Fixed [#590](https://github.com/hay-kot/mealie/issues/590) - Duplicate Events when using Gunicorn Workers

## Features and Improvements

### General
- Recipe Instructions now collapse when checked
- Default recipe settings can be set through ENV variables
- Recipe Ingredient lists can now container ingredient sections. 
- You can now download and upload individual recipes


### Localization

Huge thanks to [@sephrat](https://github.com/sephrat) for all his work on the project. He's very consistent in his contributions to the project and nearly every release has had some of his code in it! Here's some highlights from this release

  - Lazy Load Translations (Huge Performance Increase!)
  - Tons of localization additions all around the site.
  - All of the work that goes into managing and making Crowdin a great feature the application

#### Here a list of contributors on Crowding who make Mealie possible in different locals

| Name                         | Languages          | Translated (Words) | Target Words |
| ---------------------------- | ------------------ | :----------------: | :----------: |
| retmas-gh                    | Polish             |        550         |     625      |
| startos                      | Italian            |        310         |     322      |
| CMBoii                       | Spanish            |        256         |     291      |
| sephrat                      | French             |        255         |     296      |
| Daniel Tildeman (tildeman)   | Swedish            |        233         |     228      |
| Rourke                       | Dutch              |        216         |     214      |
| Andreas Waschinski (Wascha)  | German             |        207         |     202      |
| wengtad                      | Chinese Simplified |        176         |     343      |
| Matthias Borremans (MrBorri) | Dutch              |         96         |      89      |
| Adam Syndoman (pypckompsite) | Polish             |         68         |      65      |
| JonasSchubert                | German             |         22         |      23      |
| ThrawnJL                     | Danish             |         7          |      7       |
| NicholasBrody                | Dutch              |         7          |      7       |
| Giel Janssens (gieljnssns)   | Dutch              |         4          |      4       |
| kentora                      | Danish             |         3          |      2       |



### Docker 

#### Huge thanks to [@wengtad](https://github.com/wengtad) for all his work on improving the deployment with docker. 

  - Optimize Docker Dev Size (Frontend: from ~1.52GB to ~429MB | API: from ~657MB to ~380MB)
  - Optimize Docker Prod Size (from ~542MB to ~373MB)
  - Add Gunicorn
  - Add Gunicorn and Webworkers to Dockerfile #550
  - Add Docs for Gunicorn
  - Add PUID/PGID to Docker. Fixes Initialization scripts fail to run when not executing as root user inside container #350,
  - Not able to run correctly in docker if user permissions are specified #429
  - Merge Dockerfile.dev into Dockerfile (dev shared same base together with prod)
  - Add Docs for PUID/PGID
  - Add Docker healthcheck (for this is not necessary, I could remove if you want)